Skip to main content

SSMS User Logout

API added to Kobil Extensions to support user logout from SSMS.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

PUT https://{tenantId}.{hostname}/digitanium/v4/users/{userName}/ssms/logout

HTTP request URL for SHIFT​

PUT https://{hostname}/auth/realms/{tenantId}/v3_user/{userName}/ssms/logout
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataBooleanIndicates whether the user is enabled or not.

Sample Response​

{
"data": true,
"message": "User logged out successfully",
"status": "OK",
"subSystem": 5
}

Response Status Information​

Status CodeStatusMessage
200OKUser logged out successfully.
401UnauthorizedHTTP 401 Unauthorized.
404USER_NOT_FOUNDUser does not exist.
409USER_ALREADY_LOGGED_OUTUser is not logged in state to perform this action.